Subject: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Gennady Uraltsev <[email-masked]>
Date: Sun, 1 Jan 2017 15:10:38 +0300

Hello,

Sorry for the delay in responding. I powered up an Ubuntu 16.10 virtual
machine and installed emacs available there (24.4) the same problem is
there. Attaching screenshot.

Gennady

On 01/01/17 12:51, Uwe Brauer wrote:
> 
>    > Mosè Giordano <[email-masked]> writes:
>    > Hi Gennady, Uwe & Mosè,
> 
>    > [CC'ing Uwe because I know he uses this feature.]
> 
> 
> 
>    > Does anyone of you have an older Emacs copy (22.x, 23.x, 24.x)
>    > installed and can check what the results are with that?
> 
> Hm I run emacs -Q load a simple auctex-init file which uses my auctex
> git version which I compiled with 25 (or 26 not sure))
> 
> In any case I obtain an error:
> 
> Debugger entered--Lisp error: (void-function function-put)
>   function-put(TeX--if-macro-fboundp lisp-indent-function 2)
>   byte-code("\300\301\302\303#\210\304\301\305\306#\210\307\310!\210\311\312\313\"\207"
>   [function-put TeX--if-macro-fboundp lisp-indent-function 2 put
>   edebug-form-spec (symbolp form) require easymenu defalias
>   TeX-maybe-remove-help #[(menu) "\207" [menu] 1 "Compatibility
>   function that would remove :help entries if on XEmacs,\nbut does
>   nothing in Emacs."]] 4) 
>   require(tex)
>   byte-code("\300\301!\210\300\302!\210\300\303!\207" [require tex tex-style tex-ispell] 2)
>   command-execute(LaTeX-mode record)
>   execute-extended-command(nil "LaTeX-mode")
>   call-interactively(execute-extended-command nil nil)
> 
> Maybe it would be better to use auctex from the package system, but I
> have a problem with my init file, odd odd.
> 
> 
> Any ideas?
> 
> 
> Uwe 
>